<?php

include_once 'prepareSql.php';

class SqlPagamento {

    private $conexao;

    function __construct($conexao) {
        $this->conexao = $conexao;
    }

    function getQuitados($param) {
        $sql = "select a.id_evento_pagamento, a.data, a.valor, a.id_tipo_pagamento, a.nome_caixa, b.descricao, c.banco, c.agencia, c.conta, c.num_cheque, c.data_vencimento
 		from tipo_pagamento b, evento_pagamento a left join evento_cheque c 
		 on a.id_evento_pagamento = c.id_evento_pagamento
		 where a.id_tipo_pagamento = b.id_tipo_pagamento
		 and a.id_empresa = :id_empresa
		 and a.id_evento = :id_evento
		 order by b.descricao, c.data_vencimento";
        return executa::SQL($this->conexao, $sql, $param);
    }

}

"";
